commit:     008ec671d5c5eccab25e848a5b5950726f44e444
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sun May 29 18:34:23 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sun May 29 18:34:23 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=008ec671

dev-python/reedsolomon: Use PEP517 build

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/reedsolomon/reedsolomon-1.5.4-r2.ebuild | 32 ++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/dev-python/reedsolomon/reedsolomon-1.5.4-r2.ebuild 
b/dev-python/reedsolomon/reedsolomon-1.5.4-r2.ebuild
new file mode 100644
index 000000000000..7161053b5d12
--- /dev/null
+++ b/dev-python/reedsolomon/reedsolomon-1.5.4-r2.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="Pure-Python Reed Solomon encoder/decoder"
+HOMEPAGE="https://github.com/tomerfiliba/reedsolomon 
https://pypi.org/project/reedsolo/";
+SRC_URI="https://github.com/tomerfiliba/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+       dev-python/cython[${PYTHON_USEDEP}]
+"
+
+src_prepare() {
+       default
+       rm creedsolo.c || die
+}
+
+python_test() {
+       "${EPYTHON}" tests/test_creedsolo.py || die "creedsolo test failed with 
${EPYTHON}"
+       "${EPYTHON}" tests/test_reedsolo.py || die "reedsolo test failed with 
${EPYTHON}"
+}

Reply via email to